Package org.apache.ignite.spi.metric.jmx

## Class MetricRegistryMBean

- java.lang.Object
- - org.apache.ignite.spi.metric.jmx.ReadOnlyDynamicMBean
  - - org.apache.ignite.spi.metric.jmx.MetricRegistryMBean

- All Implemented Interfaces:
    `DynamicMBean`

      public class MetricRegistryMBean
      extends ReadOnlyDynamicMBean

  MBean for exporting values of metric registry.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetricRegistryMBean​(ReadOnlyMetricRegistry mreg)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getAttribute​(String attr)`
    `MBeanInfo` | `getMBeanInfo()`
    `static Long` | `searchHistogram​(String name, ReadOnlyMetricRegistry mreg)` | Parse attribute name for a histogram and search it's value.

    - ### Methods inherited from class org.apache.ignite.spi.metric.jmx.ReadOnlyDynamicMBean

      `getAttributes, invoke, setAttribute, setAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetricRegistryMBean

          public MetricRegistryMBean​(ReadOnlyMetricRegistry mreg)

      Parameters:
        `mreg` - Metric registry.

  - ### Method Detail

    - #### getAttribute

          public Object getAttribute​(String attr)

    - #### getMBeanInfo

          public MBeanInfo getMBeanInfo()

    - #### searchHistogram

          public static Long searchHistogram​(String name,
                                             ReadOnlyMetricRegistry mreg)

      Parse attribute name for a histogram and search it's value.
      Parameters:
        `name` - Attribute name.
        `mreg` - Metric registry to search histogram in.
      Returns:
        Specific bucket value or `null` if not found.
      See Also:
        `MetricUtils.histogramBucketNames(HistogramMetric)`